# Class GeojsonSource


### Extends
* [Source](_source_.source.md)

## Index

### Constructors
* [constructor](_source_.geojsonsource.md#constructor)

### Properties
* [_map](_source_.geojsonsource.md#_map)
* [_source](_source_.geojsonsource.md#_source)
* [id](_source_.geojsonsource.md#id)
* [type](_source_.geojsonsource.md#type)

### Methods
* [addTo](_source_.geojsonsource.md#addto)
* [setMarkerSymbol](_source_.geojsonsource.md#setmarkersymbol)
* [setPos](_source_.geojsonsource.md#setpos)
* [setTitle](_source_.geojsonsource.md#settitle)

## Constructors

### new GeojsonSource(source?: any, id?: string): [GeojsonSource](_source_.geojsonsource.md)
  
* Overwrites [Source](_source_.source.md).[constructor](_source_.source.md#constructor)
* Defined in Source.ts:81


#### Parameters

| Name | Type | Description |
| ---- | ---- | ---- |
| source? | any|  |
| id? | string|  |

#### Returns: [GeojsonSource](_source_.geojsonsource.md)

## Properties

### _map: any

* Inherited from [Source](_source_.source.md).[_map](_source_.source.md#_map)
* Defined in Source.ts:14


### _source: any

* Inherited from [Source](_source_.source.md).[_source](_source_.source.md#_source)
* Defined in Source.ts:13


### id: string

* Inherited from [Source](_source_.source.md).[id](_source_.source.md#id)
* Defined in Source.ts:11


### type: string

* Inherited from [Source](_source_.source.md).[type](_source_.source.md#type)
* Defined in Source.ts:12


## Methods

### addTo(map: [Map](_map_.map.md)): [Source](_source_.source.md)
  
* Inherited from [Source](_source_.source.md).[addTo](_source_.source.md#addto)
* Defined in Source.ts:43


#### Parameters

| Name | Type | Description |
| ---- | ---- | ---- |
| map | [Map](_map_.map.md)|  |

#### Returns: [Source](_source_.source.md)

### setMarkerSymbol(mSymbol: string): [Source](_source_.source.md)
  
* Defined in Source.ts:106


#### Parameters

| Name | Type | Description |
| ---- | ---- | ---- |
| mSymbol | string|  |

#### Returns: [Source](_source_.source.md)

### setPos(pos: [LatLng](_latlng_.latlng.md)): [Source](_source_.source.md)
  
* Defined in Source.ts:96


#### Parameters

| Name | Type | Description |
| ---- | ---- | ---- |
| pos | [LatLng](_latlng_.latlng.md)|  |

#### Returns: [Source](_source_.source.md)

### setTitle(title: string): [Source](_source_.source.md)
  
* Defined in Source.ts:101


#### Parameters

| Name | Type | Description |
| ---- | ---- | ---- |
| title | string|  |

#### Returns: [Source](_source_.source.md)


Generated using [TypeDoc](http://typedoc.io)
